%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  gilmour
%global packver   0.1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.1
Release:          1%{?dist}%{?buildtag}
Summary:          The Interpretation of Adjusted Cp Statistic

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5
Requires:         R-core >= 3.5
BuildArch:        noarch

%description
Several methods may be found for selecting a subset of regressors from a
set of k candidate variables in multiple linear regression. One
possibility is to evaluate all possible regression models and comparing
them using Mallows's Cp statistic (Cp) according to Gilmour original
study. Full model is calculated, all possible combinations of regressors
are generated, adjusted Cp for each submodel are computed, and the
submodel with the minimum adjusted value Cp (ModelMin) is calculated. To
identify the final model, the package applies a sequence of hypothesis
tests on submodels nested within ModelMin, following the approach outlined
in Gilmour's original paper. For more details see the help of the function
final_model() and the original study (1996) <doi:10.2307/2348411>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
